
package de.ivu.elect.dokumente.stimmeingabe;

import de.ivu.elect.business.stimmeingabe.control.StimmeingabeDocumentByErgebniseingangExportContext;

/**
 * @deprecated
 * @see AbstractCoreStimmeingabeDocumentByErgebnisDatenExportMapper#isAcceptFileType
 */
@Deprecated
public class WasStimmeingabeDocumentByErgebniseingangOdtPerWurzelgebietExportMapper extends AbstractWasStimmeingabeDocumentByErgebniseingangExportMapper {

  public WasStimmeingabeDocumentByErgebniseingangOdtPerWurzelgebietExportMapper() {
    super();
  }

  @Override
  public boolean isAcceptContext(StimmeingabeDocumentByErgebniseingangExportContext exportContext) {
    return false; // ELECT-7091, cf. WasStimmeingabeDocumentByErgebniseingangOdtPerErfassungsgebietUebergeordnetemGebietZipExportMapper!
  }

  @Override
  protected boolean serializeOdtDocumentPerWurzelgebiet() {
    return true;
  }
}
